Subject: Re: [nfsv4] CCM and NFSv4.1

From: Mike Eisler <[email-masked]>
Date: Mon, 20 Mar 2006 14:58:48 -0800 (PST)

--- Nicolas Williams <[email-masked]> wrote:

> On Thu, Feb 09, 2006 at 04:30:02PM -0500, Trond Myklebust wrote:
> > On Thu, 2006-02-09 at 12:43 -0800, Mike Eisler wrote:
> > > The issue for the WG is whether NFSv4.1 should list CCM as:
> > > 
> > > - OPTIONAL to implement
> > > - RECOMMENDED to implement
> > > - MANDATORY to implement
> > > - no mention at all
> > > 
> > > Given the current state of IPsec offload engines, I propose that CCM be listed an OPTIONAL
> to
> > > implement. We could also make no mention at all of CCM in the NFSv4.1 specification, but
> > > either way, there will be minimum burden on implementers.
> > 
> > Do we have an actively maintained rfc that describes the CCM mechanism?
> > If not, then should we mention it at all?
> 
> Exactly :)
> 
> NFSv4.1 can mention it, but its publication will block on CCM.
> 
> CCM, meanwhile, may depend on other I-Ds that are languishing (yes, some
> of that is my fault).
> 
> OTOH, you can rip out any mention of CCM before going to proposed
> standard...

I see a rough consensus for NFSv4.1 not mentioning CCM at all. I.e.
two people voiced support for that, and no one voiced support for
any other type of reference.

Given the state of IPsec acceleration products, 
I think this is a perfectedly
defensible position. I will mark the issue (
http://www.nfsv4-editor.org/cgi-bin/roundup/nfsv4/issue7 ) 
as closed: no mention of CCM. I will then open another issue 
for the nfsv4.1 document editor to remove references to
CCM.

CCM remains a work item of the NFSv4 WG until I'm 
told otherwise. I'll update the
CCM i-d and resubmit it sometime in April.

_______________________________________________
nfsv4 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nfsv4